# Configuration file for the Sphinx documentation builder.
import sys
import os
sys.path.insert(0, os.path.abspath(".."))
sys.path.insert(0, os.path.abspath("../sportydatagen/"))
sys.path.insert(0, os.path.abspath("../sportydatagen/cluster"))
sys.path.insert(0, os.path.abspath("../sportydatagen/plot"))

# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'sportydatagen'
copyright = '2023, Rok Kukovec, Iztok Fister Jr.'
author = 'Rok Kukovec, Iztok Fister Jr.'
release = '0.2.2'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    'sphinx.ext.autodoc',
    'sphinx.ext.viewcode',
    'sphinx.ext.napoleon',
    'sphinx.ext.autosectionlabel',
    'sphinxcontrib.bibtex',
]

templates_path = ['_templates']
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store', ]



# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = 'sphinx_rtd_theme'
html_static_path = ['_static']

# TO-DO Add logo for project
html_theme_options = {
    'logo_only': True,
    'display_version': False,
}

# -- Options for bibtex literature -------------------------------------------------
# Bibtex
bibtex_bibfiles = ['literature.bib']

# Bibliography style
bibtex_default_style = 'unsrt'
