"""Basic run of the model."""

import pandas as pd

from sportydatagen import utils
from sportydatagen.return_random_data import return_condition_random_data

tcx_dataset = utils.read_dataset(
    filename='../datasets/tcx_sport5_2555_extracted_interval_metrics.csv',
)

activity = tcx_dataset[0]
print(str(activity))
print(
    activity.get_activity_type(),
    activity.get_total_duration(),
    activity.hr_avg,
)


df_random_by_conditions = return_condition_random_data(
    filepath='../datasets/tcx_sport5_2555_extracted_interval_metrics.csv',
    random_size=2,
    min_hr_min=70,
    max_hr_min=79,
    min_hr_max=162,
    min_duration=4200,
    max_duration=5000,
    activity_type='Running',
    random_state=42,
)

pd.set_option('display.max_columns', None)

print(df_random_by_conditions.head(10))
print(df_random_by_conditions.shape)
