"""PCA and KMeans clustering analysis."""

import pandas as pd

from sportydatagen.cluster.kmeans import encode_labels, kmeans_pca_analysis

df_data = pd.read_csv(
    '../../datasets/all_tcx_extracted_interval_metrics.csv', sep=';',
)
df_data = df_data.drop(['index', 'file_name', 'merged_from'], axis=1)
df_data = encode_labels(df_data=df_data)

pca_analysis = kmeans_pca_analysis(df_data=df_data, n_clusters=10)

print(pca_analysis.head(11))

# Save to csv
pca_analysis.to_csv('./pca_analysis.csv', sep=';', index=True)
