"""KMeans clustering example."""

import pandas as pd

from sportydatagen.cluster.kmeans import (
    cluster_kmeans,
    encode_labels,
    kmeans_info,
)
from sportydatagen.plot.kmeans_scatter_plot import plot_kmeans_scatter

data = pd.read_csv(
    '../../datasets/all_tcx_extracted_interval_metrics.csv', sep=';',
)
data = data.drop(columns=['file_name', 'merged_from'])
data = encode_labels(df_data=data)

# Cluster data, return dataframe with cluster column and KMeans object
df_kmeans, kmeans = cluster_kmeans(
    df_data=data, n_clusters=10, random_state=0, column_name='KMeans_cluster',
)

# Save to csv
cluster_kmeans(
    df_data=data,
    n_clusters=10,
    random_state=0,
    column_name='KMeans_cluster',
    output_file='../standard_KMeans.csv',
)

kmeans_info = kmeans_info(data=data, kmeans=kmeans)
# Available info about KMeans - keys:
print(kmeans_info.keys())
