"""Plot frequency distribution of the dataset."""

import pandas as pd

from sportydatagen.cluster.kmeans import encode_labels
from sportydatagen.plot.frequency_distribution import (
    plot_frequency_distribution,
)

df_data = pd.read_csv(
    '../../datasets/all_tcx_extracted_interval_metrics.csv', sep=';',
)

df_data = df_data.drop(columns=['index', 'file_name', 'merged_from'])
df_data = encode_labels(df_data=df_data)

plot = plot_frequency_distribution(df_data=df_data)

plot.show()

# Save to file
plot_frequency_distribution(
    df_data=df_data, output_file='frequency_distribution.png',
)
