"""Extracts features from a TCX file and saves them to a CSV file."""

from sport_activities_features import GPXFile, TCXFile

from sportydatagen.saf_extract_features_to_csv import (
    saf_extract_metrics_convert_to_csv,
)

# ------------------------------- TCX ------------------------------- #

# Extract data from a single TCX file using sports_activities_features
tcx_file = TCXFile()

# Extract data from a single TCX file using sports_activities_features
tcx_activity_metrics = tcx_file.extract_integral_metrics('./tcx/1.tcx')

# Extract data from directory of TCX files using sports_activities_features
saf_extract_metrics_convert_to_csv(
    sportfile_directory='./tcx/',
    output_file='./extracted_metrics/tcx_saf_extracted_interval_metrics.csv',
)

# ------------------------------- GPX ------------------------------- #

"""Extracts features from a GPX file and saves them to a CSV file."""

# Extract data from a single GPX file using sports_activities_features
gpx_file = GPXFile()

# Extract data from a single TCX file using sports_activities_features
gpx_activity_metrics = gpx_file.extract_integral_metrics('./gpx/f1.gpx')

# Extract data from directory of GPX files using sports_activities_features
saf_extract_metrics_convert_to_csv(
    sportfile_directory='./gpx/',
    output_file='./extracted_metrics/gpx_saf_extracted_interval_metrics.csv',
)
