"""Test importing all the modules of the library."""

def test_class_import():
    try:
        from sportydatagen.activity import Activity

        assert Activity is not None
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.activity\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_convert_to_csv_import():
    try:
        from sportydatagen.convert_to_csv import (merge_csv_files,
                                          check_file_type,
                                          check_missing_only_heartrates,
                                          fill_empty_heartrates,
                                          convert_directory_of_files_to_csv,
                                          convert_single_file,
                                          convert_sportfiles_and_remove_empty_csvs)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.convert_to_csv\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_csv_utils_import():
    try:
        from sportydatagen.csv_utils import (check_file_delete_csv_if_columns_are_nan,
                                             delete_empty_csv_files,
                                             missing_csv_files,
                                             create_list_of_all_possible_files,
                                             delete_unmatching_sportfiles_and_csvs,
                                             remove_empty_activities)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.csv_utils\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)

def test_feature_extraction_utils_import():
    try:
        from sportydatagen.feature_extraction_utils import (
            extract_features,
            calculate_ascent_descent,
            calculate_duration,
            extract_features_csv_files_directory_to_csv,
            extract_single_sportfile_metrics_to_csv)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.feature_extraction_utils\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_return_random_data_import():
    try:
        from sportydatagen.return_random_data import (return_condition_random_data,
                                                      return_number_random_data,
                                                      return_percent_random_data,
                                                      filter_returned_columns)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.return_random_data\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_saf_extract_features_to_csv_import():
    try:
        from sportydatagen.saf_extract_features_to_csv import (saf_extract_metrics_convert_to_csv,
                                                               check_file_type)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.saf_extract_features_to_csv\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_sportfile_utils_import():
    try:
        from sportydatagen.sportfile_utils import (find_small_files_and_delete)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.sportfile_utils\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_types_import():
    try:
        from sportydatagen.filetype import (Filetype)
        from enum import Enum
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.types\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)


def test_utils_import():
    try:
        from sportydatagen.utils import (read_dataset, read_basic_dataset)
    except ModuleNotFoundError:
        err_msg = 'ModuleNotFoundError: No module named \'sportydatagen.utils\''
        raise ModuleNotFoundError from ModuleNotFoundError(err_msg)
